public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Florian Schmaus" <flow@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-java/jackson-dataformat-yaml/
Date: Wed, 21 Sep 2022 14:02:45 +0000 (UTC)	[thread overview]
Message-ID: <1663768959.3ed7140a4c9833095d7afa78b0e31e9c0d3bc75e.flow@gentoo> (raw)

commit:     3ed7140a4c9833095d7afa78b0e31e9c0d3bc75e
Author:     Volkmar W. Pogatzki <gentoo <AT> pogatzki <DOT> net>
AuthorDate: Mon Sep  5 07:47:37 2022 +0000
Commit:     Florian Schmaus <flow <AT> gentoo <DOT> org>
CommitDate: Wed Sep 21 14:02:39 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3ed7140a

dev-java/jackson-dataformat-yaml: add 2.13.4

Signed-off-by: Volkmar W. Pogatzki <gentoo <AT> pogatzki.net>
Signed-off-by: Florian Schmaus <flow <AT> gentoo.org>

 dev-java/jackson-dataformat-yaml/Manifest          |  1 +
 .../jackson-dataformat-yaml-2.13.4.ebuild          | 60 ++++++++++++++++++++++
 2 files changed, 61 insertions(+)

diff --git a/dev-java/jackson-dataformat-yaml/Manifest b/dev-java/jackson-dataformat-yaml/Manifest
index 30c81f39372f..14e9a15bca6e 100644
--- a/dev-java/jackson-dataformat-yaml/Manifest
+++ b/dev-java/jackson-dataformat-yaml/Manifest
@@ -1 +1,2 @@
 DIST jackson-dataformats-text-2.13.3.tar.gz 3528981 BLAKE2B 98593f45e663905c15ab5cb37152c95d69a0121515990fac0c66f640d93af83cd51802e2856a4e8df6b82c0121ac4fcd20774fd6a3841e019e1da56c599ed9a9 SHA512 77fad3e6ab5ad55d3a46ffaee3482e9f0dbfa36ce67d5ad31e0b7cde667536387f1dce5bc8296733a28efb09f423785aca7291d9ba85a67ca2b94ef4c8766d7f
+DIST jackson-dataformats-text-2.13.4.tar.gz 3530892 BLAKE2B 3cbfcbbd33aeac67476caa453b77c19a1da88a9fb9482360bf427af3f41d689a04fc1ecb28d4424c5bfd7436979f1b03c215ca88a0064338f53dfd169f288562 SHA512 792f416c7cabd639b42bd93205e55328ace53c093e59d57eeaedc27a61358527515031c70dd503702471a13237f6389ca118e453da0ab002e20a531885d58a11

diff --git a/dev-java/jackson-dataformat-yaml/jackson-dataformat-yaml-2.13.4.ebuild b/dev-java/jackson-dataformat-yaml/jackson-dataformat-yaml-2.13.4.ebuild
new file mode 100644
index 000000000000..56fbfba3fd2a
--- /dev/null
+++ b/dev-java/jackson-dataformat-yaml/jackson-dataformat-yaml-2.13.4.ebuild
@@ -0,0 +1,60 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+# Skeleton command:
+# java-ebuilder --generate-ebuild --workdir . --pom pom.xml --download-uri https://github.com/FasterXML/jackson-dataformats-text/archive/jackson-dataformats-text-2.13.4.tar.gz --slot 0 --keywords "~amd64 ~arm ~arm64 ~ppc64 ~x86" --ebuild jackson-dataformat-yaml-2.13.4.ebuild
+
+EAPI=8
+
+JAVA_PKG_IUSE="doc source test"
+MAVEN_ID="com.fasterxml.jackson.dataformat:jackson-dataformat-yaml:2.13.4"
+JAVA_TESTING_FRAMEWORKS="junit-4"
+
+inherit java-pkg-2 java-pkg-simple
+
+DESCRIPTION="Support for reading and writing YAML-encoded data via Jackson abstractions"
+HOMEPAGE="https://github.com/FasterXML/jackson-dataformats-text"
+SRC_URI="https://github.com/FasterXML/jackson-dataformats-text/archive/jackson-dataformats-text-${PV}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+
+DEPEND="
+	~dev-java/jackson-core-${PV}:0
+	~dev-java/jackson-databind-${PV}:0
+	>=dev-java/snakeyaml-1.30-r1:0
+	>=virtual/jdk-11:*
+"
+
+RDEPEND=">=virtual/jre-1.8:*"
+
+DOCS=( README.md release-notes/{CREDITS,VERSION} )
+
+S="${WORKDIR}/jackson-dataformats-text-jackson-dataformats-text-${PV}/yaml"
+
+JAVA_CLASSPATH_EXTRA="jackson-core,jackson-databind,snakeyaml"
+JAVA_SRC_DIR=( "src/main/java" "src/moditect" )
+JAVA_RESOURCE_DIRS="src/main/resources"
+
+JAVA_TEST_GENTOO_CLASSPATH="junit-4"
+JAVA_TEST_SRC_DIR="src/test/java"
+JAVA_TEST_RESOURCE_DIRS="src/test/resources"
+JAVA_TEST_EXCLUDES=(
+	# Upstream's usual exclude pattern: "**/failing**/*.java"
+	com.fasterxml.jackson.dataformat.yaml.failing.ObjectIdWithTree2Test
+	com.fasterxml.jackson.dataformat.yaml.failing.PolymorphicWithObjectId25Test
+	com.fasterxml.jackson.dataformat.yaml.failing.SimpleGeneration215Test
+)
+
+src_prepare() {
+	default
+	java-pkg-2_src_prepare
+
+	sed -e 's:@package@:com.fasterxml.jackson.dataformat.yaml:g' \
+		-e "s:@projectversion@:${PV}:g" \
+		-e 's:@projectgroupid@:com.fasterxml.jackson.dataformat:g' \
+		-e "s:@projectartifactid@:${PN}:g" \
+		"${JAVA_SRC_DIR}/com/fasterxml/jackson/dataformat/yaml/PackageVersion.java.in" \
+		> "${JAVA_SRC_DIR}/com/fasterxml/jackson/dataformat/yaml/PackageVersion.java" || die
+}


             reply	other threads:[~2022-09-21 14:02 UTC|newest]

Thread overview: 41+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-09-21 14:02 Florian Schmaus [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-10-20 16:32 [gentoo-commits] repo/gentoo:master commit in: dev-java/jackson-dataformat-yaml/ Miroslav Šulc
2022-10-20 10:56 Jakov Smolić
2022-10-18  5:35 Sam James
2022-10-15  6:38 Jakov Smolić
2022-10-14 18:42 Miroslav Šulc
2022-08-28  5:17 Miroslav Šulc
2022-08-27  8:27 Sam James
2022-08-27  8:27 Sam James
2022-08-27  8:22 Arthur Zamarin
2022-08-27  8:22 Arthur Zamarin
2022-07-28  9:10 Sam James
2022-07-01 10:03 Sam James
2022-07-01  7:15 Arthur Zamarin
2022-07-01  7:08 Arthur Zamarin
2022-06-24  8:24 Agostino Sarubbo
2022-06-24  8:23 Agostino Sarubbo
2022-06-10  5:51 Sam James
2022-06-09  7:09 Sam James
2022-06-04 19:58 Agostino Sarubbo
2022-06-04 10:52 Jakov Smolić
2022-06-03 21:32 Jakov Smolić
2022-05-27 15:15 Arthur Zamarin
2022-05-27 15:15 Arthur Zamarin
2022-05-24 15:23 Florian Schmaus
2022-05-04 20:03 Florian Schmaus
2022-04-26  6:48 Florian Schmaus
2022-04-25 20:09 Arthur Zamarin
2022-04-25 11:39 Agostino Sarubbo
2022-04-25 11:37 Agostino Sarubbo
2022-04-24 13:27 Jakov Smolić
2022-03-25  8:32 Florian Schmaus
2022-03-07 14:33 Jakov Smolić
2022-03-07 14:33 Jakov Smolić
2022-03-07  7:27 Agostino Sarubbo
2022-03-06 23:46 Sam James
2022-02-04 16:46 Florian Schmaus
2022-02-04  8:19 Florian Schmaus
2016-11-26 22:22 James Le Cuirot
2016-11-26 22:22 James Le Cuirot
2016-01-13 22:01 James Le Cuirot

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1663768959.3ed7140a4c9833095d7afa78b0e31e9c0d3bc75e.flow@gentoo \
    --to=flow@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox